<?php

function display_gd_listings($atts) {
	global $wpdb;

	function getCategoryName($id){
	global $wpdb;
		$category = $wpdb->get_row("SELECT name FROM ".$wpdb->prefix."pbl_categories WHERE id = $id");
		if($category->name==""){
			return "--";
		}else{
			return $category->name;
		}
	}
	
	function getPackageName($id){
	global $wpdb;
		$package = $wpdb->get_row("SELECT name FROM ".$wpdb->prefix."pbl_packages WHERE id = $id");
		if($package->name==""){
			return "--";
		}else{
			return $package->name;
		}
	}
	
$primary_color=get_option('gd_primary_hex_color');
$secondary_color=get_option('gd_secondary_hex_color');
?>

<style>
#gd-listing-wrapper {border-bottom: 1px dotted <?php echo $primary_color; ?>;}
#gd-listing-wrapper .gd-content a {color: <?php echo $secondary_color; ?>;}
#gd-listing-wrapper .gd-content a:hover {color: <?php echo $primary_color; ?>;}
</style>		

<?php
if($atts[category]!=""){$category="cat_id='$atts[category]' AND ";}	
if($atts[package]!=""){$package="pkg_id='$atts[package]' AND ";}	
	$listings=$wpdb->get_results("SELECT id,name,logo_url,description,phone,url,email,address,city,state,zip FROM ".$wpdb->prefix."pbl_listings WHERE $package $category time_expired>NOW() AND active=1");
	
	foreach($listings as $listing){
		$id=$listing->id;
		$name=stripslashes($listing->name);
		if($listing->logo_url!=""){$logo="<img src=\"".stripslashes($listing->logo_url)."\" />";}else{$logo="<img src=\"".plugins_url()."/paid-business-listings/images/no-image-available.png\" />";}
		$description=stripslashes($listing->description);
		$phone=stripslashes($listing->phone);
		$url=stripslashes($listing->url);
		$email=stripslashes($listing->email);
		$address=stripslashes($listing->address);
		$city=stripslashes($listing->city);
		$state=stripslashes($listing->state);
		$zip=stripslashes($listing->zip);
?>
		<div id="gd-listing-wrapper">
			<div class="gd-logo">
				<a href="<?php echo $url; ?>" target="_blank"><?php echo $logo; ?></a>
			<div style="clear:both;"></div></div>
			<div class="gd-content">
				<div class="listing-title"><a href="<?php echo $url; ?>" target="_blank"><?php echo $name; ?></a></div>
				<div class="listing-description"><?php echo $description; ?></div>
				<div class="listing-contact-left"><?php echo "$address<br />$city, $state $zip"; ?></div>
				<div class="listing-contact-right"><?php echo "$phone<br /><a href='mailto:$email' >$email</a>"; ?></div>
				<div class="listing-contact-bottom"><a href="<?php echo $url; ?>" target="_blank"><?php echo str_replace("http://","",$url); ?></a></div>
			<div style="clear:both;"></div></div>
		<div style="clear:both;"></div></div>
<?php
	}
}
