<?php

function gd_pbl_settings_page() {
?>
<div class="wrap">
<h2>GD Paid Business Listings Settings</h2>

<p>Before using this plugin, make sure the correct information is listed in the fields below and paste the following shortcodes into the appropriate pages as indicated below:</p>

<ul style="list-style-type:disc; margin-left: 30px;">
	<li>Paste this shortcode into the page you would like to use to display your listings: [gd-listings]</li>
	<li>Paste this shortcode into the page you would like to use to display your submission form: [gd-form]</li>
	<li>Paste this shortcode into the page you would like to use as your "Submission Status" page: [gd-substatus]</li>
</ul>

<p>Have fun using this plugin and if you have any questions, requests, or positive feedback, we would love to hear from you at <a href="http://www.guilddev.com/wordpress-plugins/" target="_blank">Guild Development, LLC</a></p>

<form method="post" action="options.php">
    <?php settings_fields('gd_pbl_options_group'); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Business/Organization Name</th>
        <td><input type="text" name="gd_pbl_ppbizname" value="<?php echo get_option('gd_pbl_ppbizname'); ?>" size="80" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">PayPal Email Address or ID</th>
        <td><input type="text" name="gd_pbl_ppemail" value="<?php echo get_option('gd_pbl_ppemail'); ?>" size="80" /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">PayPal Checkout Button</th>
<?php
function pp_image_option_radios($imgurl){
	if(get_option('gd_pbl_buttimg')==$imgurl){$status="checked";}
	$option="<tr><td><input type=\"radio\" name=\"gd_pbl_buttimg\" value=\"$imgurl\" $status /></td><td style=\"padding:10px; background-color: #CCCCCC; text-align: center;\"><img src=\"$imgurl\" align=\"middle\" /></td></tr>";
	return $option;
}
?>
    <td>
        <table cellspacing="4">
        <?php
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_buynow_LG.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_buynowCC_LG.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_buynow_SM.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_paynow_LG.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_paynowCC_LG.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_paynow_SM.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif");
        echo pp_image_option_radios("https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif");
        ?>
        </table>
	</td></tr>

        <tr valign="top">
        <th scope="row">Submission Status Page</th>
        <td>
		   <?php
		   $currently_selected_page=get_option('gd_page_id');
		   wp_dropdown_pages(array('selected'=>$currently_selected_page,'name'=>'gd_page_id'));
		   ?>
		   <p>NOTE: The following shortcode MUST be pasted into the "Submission Status Page" in order for listings to be marked active after payment.</p>
		   <p>[gd-substatus]</p>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Step 1 Message</th>
        <td>
	        This message is displayed above the form that allows potential advertisers to select a package.<br />
	        <textarea  name="gd_step_one_message" rows="3" cols="60"><?php echo get_option('gd_step_one_message'); ?></textarea>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Listing Form Button Text</th>
        <td><input type="text" name="gd_pbl_butttext" value="<?php echo get_option('gd_pbl_butttext'); ?>" /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Step 2 Message</th>
        <td>
	        This message is displayed above the PayPal button that advertisers will click on to pay you after they have submitted their information.<br />
	        <textarea  name="gd_step_two_message" rows="3" cols="60"><?php echo get_option('gd_step_two_message'); ?></textarea>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Thank You Message</th>
        <td>
	        This message is displayed to advertisers who have successfully submitted and paid for a listing on your site.<br />
	        <textarea  name="gd_thank_you_message" rows="3" cols="60"><?php echo get_option('gd_thank_you_message'); ?></textarea>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Bail Message</th>
        <td>
	        This message is displayed when someone has filled out a form and cancelled the PayPal payment process before submitting payment.<br />
	        <textarea  name="gd_bail_message" rows="3" cols="60"><?php echo get_option('gd_bail_message'); ?></textarea>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Listings Primary Color</th>
        <td>
        Insert the hex code for the color that you would like to use as the primary color for the aspects of this plugin:<br />
        <input type="text" name="gd_primary_hex_color" value="<?php echo get_option('gd_primary_hex_color'); ?>" /> Current Primary Color: <span style="background-color: <?php echo get_option('gd_primary_hex_color'); ?>;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><br /> (make sure the hex number begins with '#')
        </td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Listings Secondary Color</th>
        <td>
        Insert the hex code for the color that you would like to use as the secondary color for the aspects of this plugin:<br />
        <input type="text" name="gd_secondary_hex_color" value="<?php echo get_option('gd_secondary_hex_color'); ?>" /> Current Secondary Color: <span style="background-color: <?php echo get_option('gd_secondary_hex_color'); ?>;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><br /> (make sure the hex number begins with '#')
        </td>
        </tr>
        
    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php }
